#standard equipment type config file
#    
#     Battery(sampled by EIB)
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: 
#               Relevant Equipment List: EIB
#
#
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    	Group Type Flag		Type Name	    	Type Name Resource ID		  						
316		0			EIB2 Battery3		115

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
10

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SID	Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range		Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
2	Battery Current			152			A		1				192			F			NA			NA			NA				-3000.0/3000.0		W/L				NA			1			.1			[3,2,452]==0 | ([3,2,452]==1 & [1,2,73]==0)
3	Battery Capacity		4			Ah		-1				-3			F			NA			NA			NA				0.0/50000.0			W/L				NA			3			.0			NA
4	Capacity Percent		5			%		-1				-2			F			NA			NA			100*[0,0,3]/[0,2,10]		0.0/100.0		W/L				NA			4			.1			NA
#98	Battery Temp			97			deg.C		-1				-3			F			NA			NA			NA							-300.0/150.0			W/L				NA			7			.0			NA
99	failure				38			NA		-1				-2			U			NA			NA			[2,0,99]			NA			NA				NA			39			NA			NA
100	State				26			NA		1				205			U			NA			NA			NA				NA			NA				NA			40			NA			NA



		                                                                                                                                                                                                                                                                                                                                                                          
#2.2 Define the Control Signals                                                                                                                                                                                                                                                                                                                                                                                                           
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
4

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range				Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
5		Batt management enable			35			NA		-1				-3			E			0			[ID9=Yes]/[ID10=No]			W/L				W/L				NA			O			1			NA			-3			NA		NA				1			NA			NA
10		Rated Capacity				96			Ah		-1				-3			F			300			50/50000			W/L				W/L				NA			E			2			.0			-3			10		NA				1			NA			NA
12		Battery Current Imbalance abort(Internal use)			110			NA		-1			-3			E		0				[ID10=no]/[ID9=yes]		NA				NA				NA					E		205			NA			-3			NA				NA			1			NA			NA



#2.4 Define the Alarm Singals
[ALARM_NUM]
6

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID	Alarm Level	Alarm Expression										Alarm Delay		Suppressing Expression		Relay ID
1		Exceed Current Limit	6			OA		([0,2,5]==0)&([1,2,62]==1)&(([0,0,2] > [1,2,29]*[0,2,10])|([0,3,1] & ([0,0,2] > [1,2,29]*[0,2,10]*995/1000)))	NA		[0,3,2]				NA
2		Over Battery current	7			OA		([0,2,5]==0)&([0,0,2] > [1,2,45]*[0,2,10]|([0,3,2]&[0,0,2] > [1,2,45]*[0,2,10]-1))				NA			NA				NA
3		Low Capacity		8			OA		([0,0,3] < [0,2,10]* 0.01*[1,2,60])|([0,3,3] & [0,0,3] < [0,2,10]* 0.01*([1,2,60] + 2))		10			NA				NA
15		Battery Current Imbalance Alarm		110	OA		[0,2,12] == 1						NA		NA				NA

